package com.jasamedika.medifirst2000.vo;

import java.io.Serializable;
import javax.persistence.*;
import java.util.Date;
import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;

/**
 *  class KondisiPasien
 * 
 * @author Generator
 */
//@Entity
//@Table(name = "KondisiPasien_M")
public class KondisiPasienVO extends BaseMasterVO {
	@ManyToOne
	@JoinColumn(name = "ObjectJenisKondisiPasienFk")
	@NotNull(message="Object Jenis Kondisi PasienVO Harus Diisi")
	@Caption(value="Object Jenis Kondisi Pasien")
	private JenisKondisiPasienVO jenisKondisiPasien;

	public void setJenisKondisiPasien(JenisKondisiPasienVO jenisKondisiPasien) {
		this.jenisKondisiPasien = jenisKondisiPasien;
	}

	@Column(name = "KdJenisKondisiPasien", nullable = false , length = 1)
	public JenisKondisiPasienVO getJenisKondisiPasien(){
		return this.jenisKondisiPasien;
	}

	@Column(name = "ObjectJenisKondisiPasienFk", insertable=false,updatable=false)
	private Integer jenisKondisiPasienId;

	@Caption(value="Kode Kondisi Pasien")
	private String kdKondisiPasien;

	public void setKdKondisiPasien(String kdKondisiPasien) {
		this.kdKondisiPasien = kdKondisiPasien;
	}

	@Column(name = "KdKondisiPasien", nullable = false , length = 2)
	public String getKdKondisiPasien(){
		return this.kdKondisiPasien;
	}

	@Caption(value="Kondisi Pasien")
	private String kondisiPasien;

	public void setKondisiPasien(String kondisiPasien) {
		this.kondisiPasien = kondisiPasien;
	}

	@Column(name = "KondisiPasien", nullable = false , length = 50)
	public String getKondisiPasien(){
		return this.kondisiPasien;
	}

	@Caption(value="QKondisi Pasien")
	private Byte qKondisiPasien;

	public void setqKondisiPasien(Byte qKondisiPasien) {
		this.qKondisiPasien = qKondisiPasien;
	}

	@Column(name = "QKondisiPasien", nullable = false )
	public Byte getqKondisiPasien(){
		return this.qKondisiPasien;
	}


}

